Page MenuHomePhabricator

Published article header leaves <span...> tags
Closed, ResolvedPublic1 Story Points

Description

Article for example, http://en.wikipedia.beta.wmflabs.org/wiki/User:KartikMistry/%E0%AA%B0%E0%AA%A4%E0%AA%BF%E0%AA%B2%E0%AA%BE%E0%AA%B2_%E0%AA%9A%E0%AA%82%E0%AA%A6%E0%AA%B0%E0%AA%AF%E0%AA%BE was published without any issue, but looking at source,

<span style="background-color: rgb(254, 252, 224);">દાન અને સખાવત</span>

Most likely it is due to paragraph alignment issue. Attached screenshot in case of helpful.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterRemove unwanted <span> tags getting added to published content
mediawiki/extensions/ContentTranslation : masterAvoid highlight color of CX appearing in published articles

Event Timeline

KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 3:23 PM
Amire80 triaged this task as Medium priority.Feb 26 2015, 8:31 AM
Amire80 set Security to None.
KartikMistry added a subscriber: Pginer-WMF.
NicoV added a subscriber: NicoV.Apr 16 2015, 5:47 AM

I've also seen things like <span class="cx-segment" data-segmentid="232"></span> added to pages created by content translation.

https://fr.wikipedia.org/w/index.php?title=Jordan_Spieth&action=edit&oldid=113840807

It's not the first time I see this, but I didn't note on which page.

Similar to T95394 (highlighting) and T90202 (segment) which could now be reopened that we see it again.

NicoV added a comment.Apr 16 2015, 5:30 PM

Something similar as the span, a center tag with strange attributes: <center style="min-height: 246px;" data-cx-weight="209" data-source="167" class="" id="cx167" contenteditable="true"> in this edit : https://fr.wikipedia.org/w/index.php?title=Kunming_Airlines&oldid=113884652

The same edit contains also ugly link with punctuation included in the link and nowiki tag: [[Chine|Chine, ]]<nowiki/>et

And there are also many id="..." in the table.

Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 20 2015, 6:09 AM

@santhosh fixed a similar problem recently in T96234. Is this the same thing? Does this still happen to anybody?

I'm still seeing such things :/

Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:32 PM
Amire80 raised the priority of this task from Medium to High.Jul 8 2015, 2:47 PM
Arrbee edited a custom field.Jul 21 2015, 5:52 PM

I am looking for a way to reproduce the issue with spans with inline style. CX does not insert any inline style. So it is a puzzle to me, from where those spans came.

Steps to reproduce with browser details is welcome

Change 228242 had a related patch set uploaded (by Santhosh):
Avoid highlight color of CX appearing in published articles

https://gerrit.wikimedia.org/r/228242

santhosh moved this task from Backlog to In Progress on the LE-CX6-Sprint 1 board.

Change 228773 had a related patch set uploaded (by Santhosh):
Remove unwanted <span> tags getting added to published content

https://gerrit.wikimedia.org/r/228773

Change 228242 merged by jenkins-bot:
Avoid highlight color of CX appearing in published articles

https://gerrit.wikimedia.org/r/228242

Change 228773 merged by jenkins-bot:
Remove unwanted <span> tags getting added to published content

https://gerrit.wikimedia.org/r/228773

Arrbee moved this task from In Progress to Done on the LE-CX6-Sprint 1 board.Aug 6 2015, 8:18 AM
Arrbee closed this task as Resolved.Aug 7 2015, 7:03 AM
Arrbee added a subscriber: Arrbee.